// effects wiki.html viewer and all books

var __wikiGlobals = {
	idx : 0,   // book[0] is default - must be present
	defaultLogo : "html/images/thisisit4321.jpg",
	defaultText : "Lógos",
	defaultSubText : "reasoning expressed by words",
	
	// pic: starting with / are assumed in KleckFiles.media/shownotes/_data/
	books : [
		{ id: 'KF', 
		  id2: 'KleckFiles', 
		  name: 'Kleck Wiki',
		  subText: 'The Jonathan Kleck Testimonies',
		    subTextColor: '#01D6FF',
		  desc: 'The Jonathan Kleck testimonies',
		  logo: "html/images/TheJonathanKleck.jpg",  // JK
		  visible: true,
		  pagePath: 'wiki/page/',
		  img: 'report/media/vatican/vat-deadsheep.jpg' },
		{ id: 'DS', 
		  id2: 'DaveShadow',
		  name: 'Dave Shadow',
		  subText: 'random clips &amp; things that amuse me',
		    subTextColor: '#6286EC',
		  desc: 'random amusing clips',
		  logo: "html/images/daveshadow.jpg",  // DS
		  visible: true,
		  pagePath: 'wiki/page/dave/',
		  img: '/2023/08/19/20230819091940-595b7c94.png' },
		{ id: 'NB', 
		  id2: 'Notebook',
		  name: 'Notebook',
		  subText: 'a book of notes',
		  desc: 'A book of notes',
		  logo: "wiki/images/icon290x290.png", 
		    subTextColor: '#FF9933',
		  visible: true,
		  pagePath: 'wiki/page/notebook/',
		  img: '/2023/07/19/20230719182429-51d9dc67.png' },
		{ id: 'PL', 
		  id2: 'Logos', 
		  name: 'Project Lógos',
		  subText: 'a simple portable wiki', 
		  desc: 'A simple portable wiki',
		  logo: "wiki/images/icon290x290.png", 
		    subTextColor: '#FF6666',
		  visible: true, // don't show in table of contents (but valid)
		  pagePath: 'wiki/page/project/',
		  img: '/2023/07/26/20230726103808-8fe58de9.gif' },
		{ id: 'TEST', 
		  id2: 'MyTEST',
		  name: 'my test',
		  subText: 'not available', 
		  desc: 'My test book',
		  logo: "wiki/images/icon290x290.png",  // helpw
		  visible: false, // don't show in table of contents (but valid)
		  pagePath: 'wiki/test/',
		  img: '/2023/07/17/20230717180958-6405e75a.jpg' }
	],
	
	findId : function(id) {  // always return a real book index
		if (id && id.length) {
			var i, id = id.toLowerCase();
			for (i = 0; i < this.books.length; i++) {
				if (id == this.books[i].id.toLowerCase() 
				 || id == this.books[i].id2.toLowerCase()
				 || id == this.books[i].name.toLowerCase()
					)
					return i;  // match
			}
		}
		return this.idx;  // default
	}
	
}

